Package net.shibboleth.shared.httpclient

# Class LocalAddressRoutePlanner

java.lang.Object
org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner
net.shibboleth.shared.httpclient.LocalAddressRoutePlanner

All Implemented Interfaces:
  `org.apache.hc.client5.http.routing.HttpRoutePlanner`

public class LocalAddressRoutePlanner extends org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner
Extension of `DefaultRoutePlanner` which allows supplying a static local address.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final InetAddress`
`address`
The local address.

## Constructor Summary

Constructors
Constructor
Description
`LocalAddressRoutePlanner(InetAddress localAddress, org.apache.hc.client5.http.SchemePortResolver schemePortResolver)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected InetAddress`
`determineLocalAddress(org.apache.hc.core5.http.HttpHost firstHop, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner

`determineProxy, determineRoute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### address

@Nullable private final InetAddress address
The local address.

## Constructor Details

### LocalAddressRoutePlanner

public LocalAddressRoutePlanner(@Nullable InetAddress localAddress, @Nullable org.apache.hc.client5.http.SchemePortResolver schemePortResolver)
Constructor.

Parameters:
  `localAddress` - the local address
  `schemePortResolver` - the scheme port resolver

## Method Details

### determineLocalAddress

@Nullable protected InetAddress determineLocalAddress(org.apache.hc.core5.http.HttpHost firstHop, org.apache.hc.core5.http.protocol.HttpContext context) throws org.apache.hc.core5.http.HttpException

Overrides:
  `determineLocalAddress` in class `org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner`
Throws:
  `org.apache.hc.core5.http.HttpException`